View Issue Details

IDProjectCategoryView StatusLast Update
0004229Slicer4Core: Base Codepublic2017-06-21 10:38
ReporterjcfrAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0004229: Segmentations: vtkOrientedImageDataResample - Fix sign compare warnings
Description

/home/jcfr/Projects/Slicer/Libs/vtkSegmentationCore/vtkOrientedImageDataResample.cxx:168: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
if (*modifierImagePtr > maskThreshold)
^

/home/jcfr/Projects/Slicer/Libs/vtkSegmentationCore/vtkOrientedImageDataResample.cxx:123: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
if (modifierImagePtr > baseImagePtr)
^

maskThreshold is an int. It could be templated over the type of the image to threshold

Similarly to what is done in Imaging/Core/vtkImageThreshold.h [1], I suggest to have maskThreshold be a double.

[1] https://github.com/Kitware/VTK/blob/master/Imaging/Core/vtkImageThreshold.h

Additionally, threshold should probably be updated to match the input type. May something like https://github.com/Kitware/VTK/blob/2c7c07ce63b1d29354a1674a0b947d38e230599f/Imaging/Core/vtkImageThreshold.cxx#L146-L180

TagsNo tags attached.

Activities

lassoan

lassoan

2017-06-21 10:38

developer   ~0014910

Fixed in r26106

Issue History

Date Modified Username Field Change
2016-07-05 18:03 jcfr New Issue
2016-07-05 18:03 jcfr Status new => assigned
2016-07-05 18:03 jcfr Assigned To => lassoan
2016-10-12 03:55 jcfr Target Version Slicer 4.6.0 => Slicer 4.7.0
2017-06-21 10:38 lassoan Status assigned => resolved
2017-06-21 10:38 lassoan Resolution open => fixed
2017-06-21 10:38 lassoan Fixed in Version => Slicer 4.7.0
2017-06-21 10:38 lassoan Note Added: 0014910